Note: No longer a Team EPIC production. Soon this will be under a new group. Also apparently after removing the logo this now has to be 200 characters in length so hopefully this does it: dskfmdlfdslkjnkgjnsgkljndgkjdsgbsdhljbgkldjsgbkljgbsdlgbsdgjbgskdl;gdjsgbdshg

  • View media
  • View media
  • View media
  • View media
  • View media
  • View media
RSS Articles

First news

News 8 comments

You may remember Original Weapons Renewal from before and this is just it's new home. It's now going to be maintained by me Cheeki Breeki Bandit Crew, until the time r_populik takes over the helm.

OWR 2.1 both full and lite versions are avilable.

I made a few small changes to OWR 2.1:
1) The skin for the Colt M1911 has been changed to a skin r_populik did for it
2) The skin for the GSh-18 has been changed to a skin Alexander_l did for it
3) The lite version has been corrected for the non-existant .357 ammo errors

RSS Files
OWR 2.1 Improved Gloss Maps

OWR 2.1 Improved Gloss Maps

Skin Pack

This is meant for OWR 2.1 Full but will also work with the Lite version.

OWR 2.1 Lite

OWR 2.1 Lite

Full Version 2 comments

This is the Lite version of OWR 2.1 by r_populik, meaning this version has the vanilla weapons/changes. Changes/additions: 1) Texture for the Colt M1911...

OWR 2.1 Full

OWR 2.1 Full

Full Version 1 comment

This is the Full version of OWR 2.1 by r_populik, meaning this version has added weapons besides the vanilla ones.

Comments  (0 - 10 of 190)
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

LordMilchbard
LordMilchbard

It is compatible with Misery

Reply Good karma Bad karma+1 vote
assman123
assman123

Moddb.com

link to new page

Reply Good karma Bad karma+1 vote
Blitzkriegrekrut
Blitzkriegrekrut

BUG: AN 94 has no automatic firemod!!! Patchfile needed!!!

Reply Good karma Bad karma0 votes
Blitzkriegrekrut
Blitzkriegrekrut

Work now with Atmosfear 3, Absolute Nature 4 and Absolute Structures, but only full version and install in this order!!!
Be sure that they is a gamedata in gamedata folder, and play only in english or russian language.

Reply Good karma Bad karma0 votes
Blitzkriegrekrut
Blitzkriegrekrut

Hello,

I need help!
If I install Atmosfear 3, Absolute Nature 4, Absolute Structures and OWR Lite 2.1 in this order my game crash at "start a new game". Why??...
I thinks they're fully compatible??...

Reply Good karma Bad karma-1 votes
Blitzkriegrekrut
Blitzkriegrekrut

Wow... nice support here. The Developer is a ******* *******!

Reply Good karma Bad karma-3 votes
Kahvana
Kahvana

Watch your language. Of course no one will help you if you insult the developer for your own mistakes.

Anyways, you need to merge files (AF3 + OWR 2.1 particles) in order to get it to work. Merely overwriting will not work.

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Follow Report Profile
Icon
S.T.A.L.K.E.R.: Call of Pripyat
Developer
Contact
Send Message
Release date
Mod watch
Follow
Share
Community Rating

Average

9.6

17 votes submitted.

You Say

-

Ratings closed.

Style
Theme
War
Players
Single Player
Embed Buttons
Link to Original Weapons Renewal by r_populik by selecting a button and using the embed code provided more...
Original Weapons Renewal by r_populik
Statistics
Last Update
Watchers
138 members
Addons
1
Files
2
Articles
1
Reviews
9